Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Portal Support Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0
element body

Model
  `<body
  id = string
  presentationClass = string
  presentationId = string
  presentationStyle = string
  properties = string
  skeletonUri = string
  tagName = string
  >
  header?, portletInstance | abstractContent*, bookContent | break | book | theme | (any element from any namespace of ``.), portletInstance | abstractContent*, footer?
  </body>`

Disallowed substitutions (block)
  none (extensions, restrictions and substitutions are allowed)

Substitution group exclusion (final)
  none (extensions and restrictions are allowed)

Content Type
  declared by type bodyType
  element-only content, not nillable.

Usage
  This element can be the root element of XML instance documents.
  This element can be a child of the following elements: shell, html.

Nested Element Summary
`headerType` | `header` optional
choice 0...∞ |
`portletInstanceType` | `portletInstance`
`anyType` | `abstractContent`
choice |
`bookContentType` | `bookContent`
`breakType` | `break`
`bookType` | `book`
`annonymous type derived from themeType` | `theme`
choice 0...∞ |
`portletInstanceType` | `portletInstance`
`anyType` | `abstractContent`
`footerType` | `footer` optional

Attribute Summary
`string` | `id`
`string` | `presentationClass`
`string` | `presentationId`
`string` | `presentationStyle`
`string` | `properties`
`string` | `skeletonUri`
`string` | `tagName`

Attribute Detail

### id

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### presentationClass

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### presentationId

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### presentationStyle

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### properties

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### skeletonUri

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### tagName

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Portal Support Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1